<?xml version="1.0" encoding="UTF-8"?>
<!-- Сервис со всеми экранами (для Smoke) -->
<scenario begin="selector">
    <!-- Селектор - список -->
    <screen id="selector" type="selector" title="Выберите экран">
        <fields>
            <selector-field id="selector_type" message="Выберите экран" title="Экран">
                <items type="static">
                    <item title="Нумерик с одним полем" value="Нумерик с одним полем" disabled="true"/>
                    <item title="Нумерик с двумя полями" value="Нумерик с двумя полями"/>
                    <item title="Групповой" value="Групповой"/>
                    <item title="Оплата" value="Оплата"/>
                    <item title="Communal" value="Корзина"/>
                    <item title="Выбор даты" value="Выбор даты"/>
                    <item title="Таблица" value="Таблица"/>
                    <item title="Диалог ожидания" value="Диалог ожидания"/>
                    <item title="Диалог с одной кнопкой" value="Диалог с одной кнопкой"/>
                    <item title="Диалог с двумя кнопками" value="Диалог с двумя кнопками"/>
                    <item title="Подтверждение с одним атрибутом" value="Подтверждение с одним атрибутом"/>
                    <item title="Подтверждение с несколькими атрибутами" value="Подтверждение с несколькими атрибутами"/>
                    <item title="Инфо" value="Инфо"/>
                    <item title="Селектор - список" value="Селектор - список"/>
                    <item title="Селектор - иконки" value="Селектор - иконки"/>
                    <item title="Селектор - кнопки" value="Селектор - кнопки"/>
                    <item title="Селектор - большие кнопки" value="Селектор - большие кнопки"/>
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <switch value="selector_type">
                    <case value="Нумерик с одним полем">
                        <goto target="numeric"/>
                    </case>
                    <case value="Нумерик с двумя полями">
                        <goto target="group/numeric"/>
                    </case>
                    <case value="Групповой">
                        <goto target="group"/>
                    </case>
                    <case value="Оплата">
                        <set key="id1" key-title="Номер телефона" value="987 012 34 56"/>
                        <!---<set key="sum" key-title="Сумма платежа" value="10"/>
                        <set-sum from="sum" type="units"/>-->
                        <goto target="pay"/>
                    </case>
                    <case value="Выбор даты">
                        <goto target="date"/>
                    </case>
                    <case value="Таблица">
                        <goto target="table"/>
                    </case>
                    <case value="Диалог ожидания">
                        <set key="id1" key-title="Лицевой счет" value="123-456"/>
                        <online-request type="default" function="adv-check" params="id1" timeout="10">
                            <actions>
                                <action type="success">
                                    <goto target="selector"/>
                                </action>
                                <action type="error">
                                    <goto target="selector"/>
                                </action>
                                <action type="exception">
                                    <goto target="selector"/>
                                </action>
                            </actions>
                        </online-request>
                    </case>
                    <case value="Диалог с одной кнопкой">
                        <dialog type="Info" title="Информация" message="Диалог с одной кнопкой" timeout="10" default="cancel">
                            <actions>
                                <action type="cancel" title="OK">
                                    <cancel/>
                                </action>
                            </actions>
                        </dialog>
                    </case>
                    <case value="Диалог с двумя кнопками">
                        <dialog type="Info" title="Информация" message="Диалог с двумя кнопками" timeout="10" default="cancel">
                            <actions>
                                <action type="cancel" title="Назад">
                                    <cancel/>
                                </action>
                                <action type="okay" title="Далее">
                                    <goto target="pay"/>
                                </action>
                            </actions>
                        </dialog>
                    </case>
                    <case value="Корзина">
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="10" value-title="10"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="1" value-title="Услуга 1"/>
                        <set key="name" key-title="Прайс" value="Услуга 1" value-title="Услуга 1"/>
                        <pack type="data" key="dt1" elements="selected,editable,summ,allow-change-state,id1,name"/>

                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="20" value-title="20"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="2" value-title="Услуга 2"/>
                        <set key="name" key-title="Прайс" value="Услуга 2" value-title="Услуга 2"/>
                        <pack type="data" key="dt2" elements="selected,editable,summ,allow-change-state,id1,name"/>

                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="30" value-title="30"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="3" value-title="Услуга 3"/>
                        <set key="name" key-title="Прайс" value="Услуга 3" value-title="Услуга 3"/>
                        <pack type="data" key="dt3" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="40" value-title="40"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="4" value-title="Услуга 4"/>
                        <set key="name" key-title="Прайс" value="Услуга 4" value-title="Услуга 4"/>
                        <pack type="data" key="dt4" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="50" value-title="50"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="5" value-title="Услуга 5"/>
                        <set key="name" key-title="Прайс" value="Услуга 5" value-title="Услуга 5"/>
                        <pack type="data" key="dt5" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="60" value-title="60"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="6" value-title="Услуга 6"/>
                        <set key="name" key-title="Прайс" value="Услуга 6" value-title="Услуга 6"/>
                        <pack type="data" key="dt6" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="70" value-title="70"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="7" value-title="Услуга 7"/>
                        <set key="name" key-title="Прайс" value="Услуга 7" value-title="Услуга 7"/>
                        <pack type="data" key="dt7" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="80" value-title="80"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="8" value-title="Услуга 8"/>
                        <set key="name" key-title="Прайс" value="Услуга 8" value-title="Услуга 8"/>
                        <pack type="data" key="dt8" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="90" value-title="90"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="9" value-title="Услуга 9"/>
                        <set key="name" key-title="Прайс" value="Услуга 9" value-title="Услуга 9"/>
                        <pack type="data" key="dt9" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        
                        <set key="selected" value="0"/>
                        <set key="editable" value="0"/>
                        <set key="summ" key-title="Цена" value="100" value-title="100"/>
                        <set key="allow-change-state" value="1"/>
                        <set key="id1" key-title="Услуга" value="10" value-title="Услуга 10"/>
                        <set key="name" key-title="Прайс" value="Услуга 10" value-title="Услуга 10"/>
                        <pack type="data" key="dt10" elements="selected,editable,summ,allow-change-state,id1,name"/>

                        <pack type="nested" key="#services" elements="dt1,dt2,dt3,dt4,dt5,dt6,dt7,dt8,dt9,dt10"/>
                        <clear keys="selected,editable,summ,allow-change-state,id1,name,dt1,dt2,dt3,dt4,dt5,dt6,dt7,dt8,dt9,dt10"/>
                        <goto target="communal"/>
                    </case>
                    <case value="Подтверждение с одним атрибутом">
                        <set key="id1" key-title="Лицевой счет" value="123-456"/>
                        <goto target="confirm"/>
                    </case>
                    <case value="Подтверждение с несколькими атрибутами">
                        <set key="id1" key-title="Лицевой счет" value="123-456"/>
                        <set key="fio" key-title="ФИО" value="Иванов Иван Иванович"/>
                        <set key="address" key-title="Адрес" value="г. Москва, ул. Ленина, д. 1"/>
                        <set key="period" key-title="Период оплаты" value="01.2020"/>
                        <goto target="confirm/multiple"/>
                    </case>
                    <case value="Инфо">
                        <goto target="info"/>
                    </case>
                    <case value="Селектор - список">
                        <goto target="selector"/>
                    </case>
                    <case value="Селектор - иконки">
                        <goto target="selector/image"/>
                    </case>
                    <case value="Селектор - кнопки">
                        <goto target="selector/button"/>
                    </case>
                    <case value="Селектор - большие кнопки">
                        <goto target="selector/bigbutton"/>
                    </case>
                    <default>
                        <dialog type="Info" title="Ошибка" message="Данный экран находится в разработке" timeout="10" default="cancel">
                            <actions>
                                <action type="cancel" title="OK">
                                    <cancel/>
                                </action>
                            </actions>
                        </dialog>
                    </default>
                </switch>
            </action>
            <action type="Prev" title="Назад">
                <goto target="previous"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Нумерик с одним полем -->
    <!-- Лицевой счет -->
    <!-- Введите <b>лицевой счет</b> -->
    <!-- Введите лицевой счет -->
    <screen id="numeric" type="numeric" title="Введите данные">
        <fields>
            <text-field id="id1" keyboard="Digital" max-len="10" message="Insert phone number" title="Phone">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
                <formatter type="regex">
                    <rules default="**** **** **** ****"/>
                </formatter>
                <help>
                    <![CDATA[<html>Insert <b>phone number</b>]]>
                </help>
            </text-field>
        </fields>
        <actions>
            <action type="Next" title="Inainte">
                <goto target="group/numeric"/>
            </action>
            <action type="Prev" title="Inapoi">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Acasa">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Нумерик с двумя полями -->
    <screen id="group/numeric" type="group/numeric" title="Введите данные">
        <fields>
            <text-field id="id1" keyboard="Digital" max-len="10" message="Введите лицевой счет" title="Лицевой счет">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
                <formatter type="regex">
                    <rules default="**** **** **** ****"/>
                </formatter>
                <help>
                    <![CDATA[<html>Введите <b>лицевой счет</b>]]>
                </help>
            </text-field>
            <text-field id="id2" keyboard="Digital" max-len="10" message="Введите номер телефона" title="Номер телефона">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
                <formatter type="regex">
                    <rules default="*** *** ** **"/>
                </formatter>
                <help>
                    <![CDATA[<html>Введите <b>номер телефона</b>]]>
                </help>
            </text-field>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="numeric"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Групповой -->
    <screen id="group" type="group" title="Введите данные">
        <fields>
            <text-field id="id1" keyboard="Digital" max-len="10" message="Введите лицевой счет" title="Лицевой счет">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
                <formatter type="regex">
                    <rules default="**** **** **** ****"/>
                </formatter>
                <help>
                    <![CDATA[<html><center>Введите <b>лицевой счет</b> состоящий из 6 цифр<br>Пример лицевого счета: 234678]]>
                </help>
            </text-field>
            <text-field id="fio" keyboard="any:[ru,en,symb]:lower:true" max-len="99" message="Введите ФИО" title="ФИО" default="123 Иванов Иванов Иванов Иванов Иванов Иванов Иванов Иванов Иванов Иванов">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
                <help>
                    <![CDATA[<html><center>Введите <b>фамилию, имя и отчетсво</b> плательщика<br>Пример ввода: Иванов Иван Иванович]]>
                </help>
            </text-field>
            <text-field id="address" keyboard="any:[ru,en,symb]:lower:true" max-len="32" message="Введите адрес" title="Адрес">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
                <help>
                    <![CDATA[<html>Введите <b>адрес</b>]]>
                </help>
            </text-field>
<!--            <text-field id="summ" keyboard="any:[ru,en,symb]:lower:true" max-len="32" message="Сумма оплаты" title="Сумма оплаты">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
                <help>
                    <![CDATA[<html>Введите <b>сумму платежа</b>]]>
                </help>
            </text-field>-->
            <selector-field id="type" message="Выберите тип плательщика" title="Тип плательщика">
                <items type="static">
                    <item title="Физическое лицо" value="Физическое лицо"/>
                    <item title="Юридическое лицо" value="Юридическое лицо"/>
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Корзина -->
    <screen id="communal" type="communal" title="Выберите данные">
        <fields key="#services"/>
        <actions>
            <action type="Next" title="Далее">
                <sum key="summ" result-key="ssum" input-data="#services" filter="selected=1"/>
                <set-sum from="ssum" type="units"/>
                <clear keys="ssum"/>
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
            <action type="Edit">
                <if condition="is-not-null #selected">
                    <then>
                        <unpack type="data" key="#selected" elements="editable,summ,allow-change-state,id1,name"/>
                        <set key="selected" value="1" value-title="1"/>
                        <pack type="data" key="#selected" elements="selected,editable,summ,allow-change-state,id1,name"/>
                        <clear keys="#selected,selected,editable,summ,allow-change-state,id1,name"/>
                        <goto target="communal"/>
                    </then>
                    <else>
                        <if condition="is-not-null #removed">
                            <then>
                                <unpack type="data" key="#removed" elements="name"/>
                                <dialog type="Info" title="Запрос на удаление" message="Вы действительно хотите удалить {0} из корзины?" timeout="10" default="cancel" mess-params="name">
                                    <actions>
                                        <action type="okay" title="ДА">
                                            <set key="selected" value="0" value-title="0"/>
                                            <pack type="data" key="#removed" elements="selected,name"/>
                                            <clear keys="name,selected,#removed"/>
                                            <goto target="communal"/>
                                        </action>
                                        <action type="cancel" title="НЕТ">
                                            <clear keys="#removed,name"/>
                                            <cancel/>
                                        </action>
                                    </actions>
                                </dialog>
                            </then>
                        </if>
                    </else>
                </if>
            </action>
        </actions>
    </screen>
    <!-- Выбор даты -->
    <screen id="date" type="date" title="Выберите дату">
        <fields>
            <date-field id="date" title="Даты" format="dd.MM.yyyy" format-title="dd.MM.yyyy" from="01.01.2021" to="01.01.2023"/>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Таблица -->
    <screen id="table" type="table" title="Выберите услугу">
        <fields>
            <table-field id="tf" title="Выберите услугу" read-only="false">
                <columns>
                    <column key="#name" title="Услуга:" width="0.4"/>
                    <column key="#duration" title="Продолжительность:" width="0.3"/>
                    <column key="#price" title="Цена:" width="0.3"/>
                </columns>
                <items type="static">
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 1" value-title="Услуга 1"/>
                        <cell key="#duration" key-title="Продолжительность" value="1" value-title="1 мин."/>
                        <cell key="#price" key-title="Цена" value="10" value-title="10"/>
                    </item>
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 2" value-title="Услуга 2"/>
                        <cell key="#duration" key-title="Продолжительность" value="2" value-title="2 мин."/>
                        <cell key="#price" key-title="Цена" value="20" value-title="20"/>
                    </item>
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 3" value-title="Услуга 3"/>
                        <cell key="#duration" key-title="Продолжительность" value="3" value-title="3 мин."/>
                        <cell key="#price" key-title="Цена" value="30" value-title="30"/>
                    </item>
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 4" value-title="Услуга 4"/>
                        <cell key="#duration" key-title="Продолжительность" value="4" value-title="4 мин."/>
                        <cell key="#price" key-title="Цена" value="40" value-title="40"/>
                    </item>
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 5" value-title="Услуга 5"/>
                        <cell key="#duration" key-title="Продолжительность" value="5" value-title="5 мин."/>
                        <cell key="#price" key-title="Цена" value="50" value-title="50"/>
                    </item>
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 6" value-title="Услуга 6"/>
                        <cell key="#duration" key-title="Продолжительность" value="6" value-title="6 мин."/>
                        <cell key="#price" key-title="Цена" value="60" value-title="60"/>
                    </item>
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 7" value-title="Услуга 7"/>
                        <cell key="#duration" key-title="Продолжительность" value="7" value-title="7 мин."/>
                        <cell key="#price" key-title="Цена" value="70" value-title="70"/>
                    </item>
                    <item>
                        <cell key="#name" key-title="Услуга" value="Услуга 8" value-title="Услуга 8"/>
                        <cell key="#duration" key-title="Продолжительность" value="8" value-title="8 мин."/>
                        <cell key="#price" key-title="Цена" value="80" value-title="80"/>
                    </item>
                </items>
            </table-field>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Подтверждение с одним атрибутом -->
    <screen id="confirm" type="confirm" title="Подтвердите данные">
        <fields list="id1"/>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Подтверждение с несколькими атрибутами -->
    <screen id="confirm/multiple" type="confirm" title="Подтвердите данные">
        <fields list="id1,fio,address,period,home,flat,roof,top"/>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Инфо -->
    <screen id="info" type="info" title="Ознакомьтесь с информацией">
        <!--        <field><![CDATA[<html><center>
               <font size="10" color="red" weight="bold">Размер: 10, цвет: красный</font><br><br>
               <font size="5" color="blue" weight="bold">Размер: 5, цвет: синий</font><br><br>
               Размер: дефолтный, цвет: дефолтный<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>Для скрола]]>
        </field>-->
        <field><![CDATA[<html><center><img src="$terminal_home/img/smoke/info.png"/>]]>
        </field>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Селектор - иконки -->
    <screen id="selector/image" type="selector/image" title="Выберите оператора">
        <fields>
            <selector-field id="type" message="Выберите оператора" title="Оператор">
                <items type="static">
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                    <item value="МТС" title="МТС" image="mts.png"/>
                    <item value="Билайн" title="Билайн" image="beeline.png"/>
                    <item value="Мегафон" title="Мегафон" image="megafon.png"/>
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Селектор - кнопки -->
    <screen id="selector/button" type="selector/button" title="Выберите услугу">
        <fields>
            <selector-field id="type" message="Выберите услугу" title="Услуга">
                <items type="static">
                    <item value="Услуга 1" title="Услуга 1"/>
                    <item value="Услуга 2" title="Услуга 2"/>
                    <item value="Услуга 3" title="Услуга 3"/>
                    <item value="Услуга 4" title="Услуга 4"/>
                    <item value="Услуга 5" title="Услуга 5"/>
                    <item value="Услуга 6" title="Услуга 6"/>
                    <item value="Услуга 7" title="Услуга 7"/>
                    <item value="Услуга 8" title="Услуга 8"/>
                    <item value="Услуга 9" title="Услуга 9"/>
                    <item value="Услуга 10" title="Услуга 10"/>
                    <item value="Услуга 11" title="Услуга 11"/>
                    <item value="Услуга 12" title="Услуга 12"/>
                    <item value="Услуга 13" title="Услуга 13"/>
                    <item value="Услуга 14" title="Услуга 14"/>
                    <item value="Услуга 15" title="Услуга 15"/>
                    <item value="Услуга 16" title="Услуга 16"/>
                    <item value="Услуга 17" title="Услуга 17"/>
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    <!-- Селектор - большие кнопки -->
    <screen id="selector/bigbutton" type="selector/bigbutton" title="Выберите услугу">
        <fields>
            <selector-field id="type" message="Выберите услугу" title="Услуга">
                <items type="static">
                    <item value="Услуга 1" title="Услуга 1"/>
                    <item value="Услуга 2" title="Услуга 2"/>
                    <item value="Услуга 3" title="Услуга 3"/>
                    <item value="Услуга 4" title="Услуга 4"/>
                    <item value="Услуга 5" title="Услуга 5"/>
                    <item value="Услуга 6" title="Услуга 6"/>
                    <item value="Услуга 7" title="Услуга 7"/>
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title="Далее">
                <goto target="selector"/>
            </action>
            <action type="Prev" title="Назад">
                <goto target="selector"/>
            </action>
            <action type="Exit" title="Выход">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
</scenario>
